---@meta posix.pwd

---@class posix_passwd*
---@field pw_name string
---@field pw_passwd string
---@field pw_uid integer
---@field pw_gid integer
---@field pw_gecos string
---@field pw_dir string
---@field pw_shell string

---@class posix_pwd*
---@field version string
---@type posix_pwd*
local M = {}

function M.endpwent() end

---@return posix_passwd*? passwd
function M.getpwent() end

---@param name string
---@return posix_passwd*? passwd
function M.getpwnam(name) end

---@param uid integer
---@return posix_passwd*? passwd
function M.getpwuid(uid) end

function M.setpwent() end

return M
